@import url('https://fonts.googleapis.com/css2?family=Rubik:ital,wght@0,300..900;1,300..900&display=swap');
/********** Template CSS **********/
:root {
    --royal-violet: #6A5AE0;
    --dull-lavender:#9087E5;
    --pink-salmon: #FF8FA2;
    --pastel-pink: #FFD6DD;
    --hawkes-blue: #C4D0FB;
    --mint-tulip: #C9F2E9;
    --grey-one:#49465F;
    --grey-two:#858494;
    --grey-three:#CCCCCC;
    --grey-four:#E6E6E6;
    --grey-five:#EFEEFC;
    --dark-maroon:#670112;
    --light-maroon:#b26673;
}

a{
    text-decoration: none;
}

li{
    list-style: none;
}

*{
    font-family: "Rubik", sans-serif;
    margin: 0;
    padding: 0;
}

.header{
    position: fixed;
    width: 100%;
    background-color:var(--royal-violet);
    z-index: 10;
    /* border-bottom: 1px solid white; */
}

#nav-menu{
    font-size:20px;
    padding: 15px 5%;
    display: flex;
    justify-content:space-between;
    align-items: center;
    flex-wrap: wrap;
    color: white;
}

#logo-img{
    height:50px;
}

.logo-cont{
    display: flex;
    justify-self: center;
    align-items: center;
    gap: 20px;
}

.menu{
    flex:0.9;
    display: flex;
    justify-content: space-between;
    align-items: center;
    gap:10px;
}

.nav-links{
    flex: 0.8;
    display:flex;
    justify-content: space-evenly;
    gap:20px;
}

.nav-links>a{
    text-decoration: none;
    color: white;
}

.login-signup{
    border-radius: 10px;
    padding:10px;
    background-color:transparent;
    border: 2px solid white;
    flex-shrink: 0;
    cursor: pointer;
    transition: all 0.2s ease-in-out;
}

.login-signup:hover{
    color:#6A5AE0;
    border: 2px solid white;
    background-color: white;
    scale: 1.05;
    flex-shrink: 0;
}

.login-signup:hover >a{
    color:#6A5AE0;
    
}

.login-signup>a{
    text-decoration: none;
    color: white;
    font-size: 16px;
    display: flex;
    align-items: center;
    justify-content: center;
}

.login-signup>a>img{
    border-radius: 100%;
    height: 40px;
    width: 40px;
    margin-right: 10px;
    border: 2px solid white;
}

.logo-menu{
    display: none;
}

.logo-close{
    display: none;
}

.menu-icon{
    height: 40px;
}

.babypink{
    color: #FFD6DD;
}

.salmonpink{
    color: #FF8FA2;
}

.hero{
    /* height: 70vh; */
    padding: 100px 5% 5% 5%;
    background-color: var(--royal-violet);
    display: flex;
    justify-content: center;
    align-items: center;
    /* flex-direction: column; */
    gap: 20px;
}

.recent{
    position: relative;
    background-color: var(--pink-salmon);
    width: 40%;
    border-radius: 20px;
    padding: 50px;
    display: flex;
    justify-content: center;
    flex-direction: column;
    height: 150px;
}

.recent>h3{
    font-size: 30px;
    margin-bottom: 20px;
    letter-spacing: 1px;
    margin-left: 20px;
    color: var(--grey-one);
}

.recent-cont{
    display: flex;
    align-items: center;
    color: white;
    font-size: 20px;
    font-weight: 600;
    margin-bottom: 30px;
    margin-left: 20px;
}

.recent-cont>img{
    height: 50px;
    margin-right: 20px;
}

.recent-cont>div>p{
    margin-top: 10px;
    font-size:14px;
    color: var(--grey-one);
}

#see-results{
    padding: 10px;
    border-radius: 200px;
    border: 3px solid var(--royal-violet);
    background: var(--royal-violet);
    cursor: pointer;
    transition: all 0.3s ease-in-out;
    width: 30%;
    color: white;
    font-weight: 600;
    margin-left: 20px;
}

#see-results:hover{
    scale: 1.05;
    background-color: white;
    color: var(--royal-violet);
}

.round-img{
    position: absolute;
    top:0;
    bottom: 0;
    right: 30px;
    height: 100%;
    -webkit-transform: scaleX(-1);
    -moz-transform: scaleX(-1);
    -o-transform: scaleX(-1);
    transform: scaleX(-1);
}

.multi{
    position: relative;
    color: white;
    background-color: var(--dull-lavender);
    width: 40%;
    padding: 50px;
    text-align: center;
    border-radius: 20px;
    font-size: 20px;
    height: 150px;
}

.multi>h3{
    font-size: 30px;
    margin-bottom: 20px;
    letter-spacing: 1px;
}

.multi>p{
    letter-spacing: 0.7px;
}

.multi>a>button{
    margin-top: 20px;
    padding: 10px;
    border-radius: 20px;
    border: none;
    color: var(--royal-violet);
    font-weight: 600;
    cursor: pointer;
    transition: all 0.3s ease-in-out;
}

.multi>button:hover{
    scale: 1.05;
}

.round-one,.round-two,.ganja-three{
    position: absolute;
}

.round-one{
    top: 0;
    right: 0;
    height: 100%;
}

.round-two{
    top: 0;
    left: 0;
    -webkit-transform: scaleX(-1);
    -moz-transform: scaleX(-1);
    -o-transform: scaleX(-1);
    transform: scaleX(-1);
    height: 100%;
}

.ganja-three{
    top: 20px;
    left: 50px;
    height: 80px;
}

.quiz{
    padding: 5%;
    text-align: center;
    border-radius: 20px;
}

.quiz>h1{
    font-size: 40px;
    text-align: center;
    color: var(--grey-one);
    margin-bottom: 40px;
}

.lang-container{
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    flex-wrap: wrap;
}

.lang-card {
    position: relative;
    margin-bottom: 20px;
    margin-right: 20px;
    padding: 20px;
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
    border-radius: 20px;
    cursor: pointer;
    transition: all 0.3s ease-in-out;
    width: 100px;
    filter: grayscale(100%);
}

.lang-card:hover {
    filter: grayscale(0%);
}


.lang-card>img{
    height: 100px;
}

.lang-card>p{
    font-size: 20px;
    font-weight: 600;
    margin-top: 20px;
    text-align: center;
}

.proceed-button{
    padding: 10px;
    margin-top: 30px;
    border-radius: 20px;
    font-size: 20px;
    border: 2px solid var(--royal-violet);
    color:var(--royal-violet);
    cursor: pointer;
    background-color: white;
    font-weight: 500;
    transition: all 0.3s ease-in-out;
} 

.proceed-button:hover{
    scale: 1.05;
    background-color: var(--royal-violet);
    color: white;
    
}

.selected{
    border-radius: 20px;
    border: 5px solid var(--royal-violet);
    scale:1.05;
    filter: grayscale(0%);
}

.disabled{
    cursor: not-allowed;
    filter: grayscale(100%);
}

/* =========================footer start==================================== */
    .footer{
        position: relative;
        margin:0px 5%;
        padding-top: 50px;
        padding-bottom: 200px;
        display: flex;
        justify-content: space-between;
        gap: 20px;
        flex-wrap: wrap;
        border-top: 1px solid var(--grey-three);
        overflow: hidden;
    }

    .touch>h3{
        color: var(--grey-one);
        margin-bottom: 20px;
    }

    .touch>p{
        color: var(--grey-two);
        margin-bottom: 20px;
        width: 70%;
    }

    .touch>form>input{
        padding: 10px;
        /* border: none; */
        border-radius: 6px;
    }

    .touch>form>button{
        padding: 10px;
        background: var(--royal-violet);
        border: none;
        border-radius: 6px;
        color: white;
        cursor: pointer;
        transition: all 0.3s ease-in-out;
    }

    .touch>form>button:hover{
        padding: 10px;
        background: white;
        border: 1px solid var(--royal-violet);
        color: black;
    }

    .footer-menu>h3{
        margin-bottom: 20px;
    }

    .footer-menu>ul{
        display: flex;
        flex-direction: column;
        gap: 5px;
    }

    .footer-menu>ul>li>a{
        color: var(--grey-two);
    }

    .footer-help>h3{
        margin-bottom: 20px;
    }

    .footer-help>ul{
        display: flex;
        flex-direction: column;
        gap: 5px;
    }

    .footer-help>ul>li>a{
        color: var(--grey-two);
    }

    .footer-team>h3{
        margin-bottom: 20px;
    }
    
    .socials>a{
        color: var(--grey-two);
        font-size: 25px;
        margin-right: 5px;
    }

    .footer-bg {
        position: absolute;
        bottom: 0;
        background: url("https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEigB8iI5tb8WSVBuVUGc9UjjB8O0708X7Fdic_4O1LT4CmLHoiwhanLXiRhe82yw0R7LgACQ2IhZaTY0hhmGi0gYp_Ynb49CVzfmXtYHUVKgXXpWvJ_oYT8cB4vzsnJLe3iCwuzj-w6PeYq_JaHmy_CoGoa6nw0FBo-2xLdOPvsLTh_fmYH2xhkaZ-OGQ/s16000/footer_bg.png")
            no-repeat scroll center 0;
        width: 100%;
        height: 266px;
    }

    .footer-bg .footer-bg-one {
        background: url("https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEia0PYPxwT5ifToyP3SNZeQWfJEWrUENYA5IXM6sN5vLwAKvaJS1pQVu8mOFFUa_ET4JuHNTFAxKURFerJYHDUWXLXl1vDofYXuij45JZelYOjEFoCOn7E6Vxu0fwV7ACPzArcno1rYuVxGB7JY6G7__e4_KZW4lTYIaHSLVaVLzklZBLZnQw047oq5-Q/s16000/volks.gif")
            no-repeat center center;
        width: 330px;
        height: 105px;
        background-size: 100%;
        position: absolute;
        bottom: 0;
        left: 30%;
        -webkit-animation: myfirst 22s linear infinite;
        animation: myfirst 22s linear infinite;
    }

    .footer-bg .footer-bg-two {
        background: url("https://blogger.googleusercontent.com/img/b/R29vZ2xl/AVvXsEhyLGwEUVwPK6Vi8xXMymsc-ZXVwLWyXhogZxbcXQYSY55REw_0D4VTQnsVzCrL7nsyjd0P7RVOI5NKJbQ75koZIalD8mqbMquP20fL3DxsWngKkOLOzoOf9sMuxlbyfkIBTsDw5WFUj-YJiI50yzgVjF8cZPHhEjkOP_PRTQXDHEq8AyWpBiJdN9SfQA/s16000/cyclist.gif")
            no-repeat center center;
        width: 88px;
        height: 100px;
        background-size: 100%;
        bottom: 0;
        left: 38%;
        position: absolute;
        -webkit-animation: myfirst 30s linear infinite;
        animation: myfirst 30s linear infinite;
    }

    @-moz-keyframes myfirst {
        0% {
            left: -25%;
        }
        100% {
            left: 80%;
        }
    }

    @-webkit-keyframes myfirst {
        0% {
            left: -25%;
        }
        100% {
            left: 80%;
    }
    }

    @keyframes myfirst {
        0% {
            left: -25%;
        }
        100% {
            left: 80%;
        }
    }
  
  /*************footer End*****************/

@media (max-width:950px){
    /* =============navbar start========== */
    #nav-menu{
        font-size: unset;
    }
    .login-signup>a{
        font-size: unset;
    }
    .logo-menu{
        display: hidden;
        justify-self: end;
    }
    .logo-close{
        display: hidden;
        justify-self: end;
    }
    /* =============navbar end========== */
    .hero{
        flex-direction: column;
    }
    .recent{
        width: 70%;
    }
    .multi{
        width: 70%;
    }
    .lang-container{
        justify-content: unset;
    }
}


@media (max-width:650px){
    /* =============navbar start========== */
    .hid{
        display: none !important;
    }
    #nav-menu{
        display: grid;
        grid-template-columns: 1fr 1fr;
        justify-content: space-between;
    }
    .logo-menu{
        display: unset;
        justify-self: end;
    }
    .logo-close{
        display: unset;
        justify-self: end;
    }
    .logo-cont{
        justify-self: unset;
    }
    .nav-links{
        flex-direction: column;
    }
    .menu{
        flex-direction: column;
        grid-column: span 2;
        padding: 20px;
    }
    /* =============navbar end========== */

    .features-cont{
        flex-direction: column;
    }

    .recent>h3{
        font-size: 20px;
    }

    .recent-cont{
        font-size: 18px;
    }

    .multi>h3{
        font-size: 20px;
    }

    .round-img{
        right: -20px;
    }

    .ganja-three{
        top: 20px;
        left: 20px;
        height: 70px;
    }

    .recent-cont{
        margin-left: 0px;
        gap:10px;
    }
    
    .recent-cont>img{
        margin-right: 0px;
    }
    
    #see-results{
        margin-left: 0px;
    }

    .lang-container{
        justify-content: center;
        text-align: center;
    }

    .lang-card>p{
        font-size: unset;
    }

    .lang-card>img{
        height: 50px;
    }

    /* =====footer start===== */
    .footer-bg-one {
        display:none;
    }

    .footer-bg-two {
       display: none;
    }

    /* =====footer end===== */
}



